## libmaxminddb 1.3.2

=== t/libtap/Makefile ===
CC ?= gcc
CFLAGS += -Wall -I. -fPIC
PREFIX ?= $(DESTDIR)/usr/local
TESTS = $(patsubst %.c, %, $(wildcard t/*.c))

ifdef ANSI
	# -D_BSD_SOURCE for MAP_ANONYMOUS
	CFLAGS += -ansi -D_BSD_SOURCE
	LDLIBS += -lbsd-compat
endif

%:
	$(CC) $(LDFLAGS) $(TARGET_ARCH) $(filter %.o %.a %.so, $^) $(LDLIBS) -o $@

%.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $(filter %.c, $^) $(LDLIBS) -o $@

%.a:
	$(AR) rcs $@ $(filter %.o, $^)

%.so:
	$(CC) -shared $(LDFLAGS) $(TARGET_ARCH) $(filter %.o, $^) $(LDLIBS) -o $@

all: libtap.a libtap.so tap.pc tests

tap.pc:
	@echo generating tap.pc
	@echo 'prefix='$(PREFIX) > tap.pc
	@echo 'exec_prefix=$${prefix}' >> tap.pc
	@echo 'libdir=$${prefix}/lib' >> tap.pc
	@echo 'includedir=$${prefix}/include' >> tap.pc
	@echo '' >> tap.pc
	@echo 'Name: libtap' >> tap.pc
	@echo 'Description: Write tests in C' >> tap.pc
	@echo 'Version: 0.1.0' >> tap.pc
	@echo 'URL: https://github.com/zorgnax/libtap' >> tap.pc
	@echo 'Libs: -L$${libdir} -ltap' >> tap.pc
	@echo 'Cflags: -I$${includedir}' >> tap.pc

libtap.a: tap.o

libtap.so: tap.o

tap.o: tap.c tap.h

tests: $(TESTS)

$(TESTS): %: %.o libtap.a

$(patsubst %, %.o, $(TESTS)): %.o: %.c tap.h

clean:
	rm -rf *.o t/*.o tap.pc libtap.a libtap.so $(TESTS)

install: libtap.a tap.h libtap.so tap.pc
	mkdir -p $(PREFIX)/lib $(PREFIX)/include $(PREFIX)/lib/pkgconfig
	install -c libtap.a $(PREFIX)/lib
	install -c libtap.so $(PREFIX)/lib
	install -c tap.pc $(PREFIX)/lib/pkgconfig
	install -c tap.h $(PREFIX)/include

uninstall:
	rm $(PREFIX)/lib/libtap.a $(PREFIX)/lib/libtap.so $(PREFIX)/include/tap.h

dist:
	rm libtap.zip
	zip -r libtap *

check test: all
	./t/test

.PHONY: all clean install uninstall dist check test tests

## libmaxminddb 1.0.4

=== debian/changelog ===
libmaxminddb (1.0.4-2) unstable; urgency=medium

  * Switch libmaxminddb-dev to multiarch include paths, due to
    architecture-dependent header files. (Closes: #788878)

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 19 Jul 2015 02:22:02 +0300

libmaxminddb (1.0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #741199)

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 12 May 2015 19:30:28 +0300

=== debian/control ===
Source: libmaxminddb
Section: net
Priority: optional
Maintainer: Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf,
 perl,
 libipc-run3-perl,
 libtest-output-perl,
# for dev-bin/make-man-pages.pl
 pandoc,
 libipc-system-simple-perl,
 libfile-slurp-perl,
 libfile-which-perl
Standards-Version: 3.9.6.1
Homepage: http://maxmind.github.io/libmaxminddb/
Vcs-Git: git://anonscm.debian.org/collab-maint/libmaxminddb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libmaxminddb.git;a=summary

Package: libmaxminddb0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mmdb-bin
Description: IP geolocation database library
 The libmaxminddb library provides a C library for reading MaxMind DB files,
 including the GeoIP2 databases from MaxMind. This is a custom binary format
 designed to facilitate fast lookups of IP addresses while allowing for great
 flexibility in the type of data associated with an address.
 .
 The MaxMind DB format is an open format. The spec is available at
 http://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
 Commons Attribution-ShareAlike 3.0 Unported License.

Package: libmaxminddb-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libmaxminddb0 (= ${binary:Version}), ${misc:Depends}
Description: IP geolocation database library (debugging symbols)
 The libmaxminddb library provides a C library for reading MaxMind DB files,
 including the GeoIP2 databases from MaxMind. This is a custom binary format
 designed to facilitate fast lookups of IP addresses while allowing for great
 flexibility in the type of data associated with an address.
 .
 The MaxMind DB format is an open format. The spec is available at
 http://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
 Commons Attribution-ShareAlike 3.0 Unported License.
 .
 This package contains the debugging symbols for the libmaxminddb library.

Package: libmaxminddb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmaxminddb0 (= ${binary:Version}), ${misc:Depends}
Description: IP geolocation database library (development headers)
 The libmaxminddb library provides a C library for reading MaxMind DB files,
 including the GeoIP2 databases from MaxMind. This is a custom binary format
 designed to facilitate fast lookups of IP addresses while allowing for great
 flexibility in the type of data associated with an address.
 .
 The MaxMind DB format is an open format. The spec is available at
 http://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
 Commons Attribution-ShareAlike 3.0 Unported License.
 .
 This package contains the development files for the libmaxminddb library.

Package: mmdb-bin
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IP geolocation lookup command-line tool
 The libmaxminddb library provides a C library for reading MaxMind DB files,
 including the GeoIP2 databases from MaxMind. This is a custom binary format
 designed to facilitate fast lookups of IP addresses while allowing for great
 flexibility in the type of data associated with an address.
 .
 The MaxMind DB format is an open format. The spec is available at
 http://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
 Commons Attribution-ShareAlike 3.0 Unported License.
 .
 This package contains the command line utilities to resolve IPs using the
 libmaxminddb library.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUG += --enable-debug
endif

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--includedir="\$${prefix}/include/$(DEB_HOST_MULTIARCH)" \
		$(DEBUG)

override_dh_auto_build:
	# build manpages (needs pandoc); these are included in tarballs
	dev-bin/make-man-pages.pl
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -rf man/

override_dh_strip:
	dh_strip --dbg-package=libmaxminddb-dbg

override_dh_installchangelogs:
	dh_installchangelogs Changes.md

## libmaxminddb 1.2.0

=== debian/changelog ===
libmaxminddb (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Pass -O--dbgsym-migration to dh_strip and relax the debhelper dependency
    to ease backports.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 15 Jul 2016 13:09:07 +0300

libmaxminddb (1.1.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #816783)
    - Fixes bound checking on several datatypes. (Closes: #805657)
    - Drop patch fix-exec-includedir, superseded upstream.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Switch Homepage, Vcs-Git and Vcs-Browser to https URLs.
  * Ship the pkg-config .pc file in the -dev package.
  * Migrate from our own -dbg package to the automatic -dbgsym package.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 23 Mar 2016 01:20:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 endif
 
 %:
-	dh $@  --with autoreconf
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -22,7 +22,7 @@
 	rm -rf man/
 
 override_dh_strip:
-	dh_strip --dbg-package=libmaxminddb-dbg
+	dh_strip -O--dbgsym-migration='libmaxminddb-dbg (<< 1.1.5-1~)'
 
 override_dh_installchangelogs:
 	dh_installchangelogs Changes.md

=== debian/watch ===
version=3

https://github.com/maxmind/libmaxminddb/releases/ download/.+/libmaxminddb-(\d\.\d+\.\d+).tar.gz

## libmaxminddb 1.2.1

=== debian/changelog ===
libmaxminddb (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0.
  * Bump debhelper compatibility level to 10.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 04 Aug 2017 22:40:10 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf,
+Build-Depends: debhelper (>= 10),
  perl,
  libipc-run3-perl,
  libtest-output-perl,
@@ -11,10 +11,10 @@
  libipc-system-simple-perl,
  libfile-slurp-perl,
  libfile-which-perl
-Standards-Version: 3.9.6.1
-Homepage: http://maxmind.github.io/libmaxminddb/
-Vcs-Git: git://anonscm.debian.org/collab-maint/libmaxminddb.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libmaxminddb.git;a=summary
+Standards-Version: 4.0.0
+Homepage: https://maxmind.github.io/libmaxminddb/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libmaxminddb.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmaxminddb.git
 
 Package: libmaxminddb0
 Section: libs
@@ -31,24 +31,6 @@
  The MaxMind DB format is an open format. The spec is available at
  http://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
  Commons Attribution-ShareAlike 3.0 Unported License.
-
-Package: libmaxminddb-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libmaxminddb0 (= ${binary:Version}), ${misc:Depends}
-Description: IP geolocation database library (debugging symbols)
- The libmaxminddb library provides a C library for reading MaxMind DB files,
- including the GeoIP2 databases from MaxMind. This is a custom binary format
- designed to facilitate fast lookups of IP addresses while allowing for great
- flexibility in the type of data associated with an address.
- .
- The MaxMind DB format is an open format. The spec is available at
- http://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
- Commons Attribution-ShareAlike 3.0 Unported License.
- .
- This package contains the debugging symbols for the libmaxminddb library.
 
 Package: libmaxminddb-dev
 Section: libdevel

## libmaxminddb 1.3.1

=== debian/changelog ===
libmaxminddb (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes needed.
  * Add NOTICE to debian/docs, per Apache-2.0's requirements, as identified by
    lintian.
  * Add patch to remove Pandoc version from manpages, as that may introduce
    deltas between builds on different architecture, thus breaking multi-arch.
    (Closes: #874247)
  * Add patch to pass -export-symbols-regex to LDFLAGS, to export only MMDB_*
    symbols and thus avoid exporting the new data_pool_* symbols, which are
    seemingly internal-only.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 27 Dec 2017 04:01:35 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libipc-system-simple-perl,
  libfile-slurp-perl,
  libfile-which-perl
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: https://maxmind.github.io/libmaxminddb/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libmaxminddb.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmaxminddb.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 endif
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## libmaxminddb 1.3.2

=== debian/changelog ===
libmaxminddb (1.3.2-1.lnd.3) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:55:43 +0800

libmaxminddb (1.3.2-1.lnd.2) unstable; urgency=medium

  * pandoc not support on loongarch.

 -- Liu Xiang <liuxiang@loongson.cn>  Thu, 01 Jul 2021 09:26:09 +0800

libmaxminddb (1.3.2-1.lnd.1) unstable; urgency=medium

  * Due to no pandoc, so not product man(usr/share/man/man3/MMDB*). 

 -- Zhangna <zhangna@loongson-pc>  Thu, 04 Mar 2021 15:36:40 +0800

libmaxminddb (1.3.2-1) unstable; urgency=medium

  * New upstream release.
    - Drop Add-export-symbols-regexp-to-Makefile patch, merged upstream.
  * Update Vcs-* URLs to point to salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Remove pre-stretch dbgsym-migration Conflicts.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 26 May 2018 19:37:59 +0300

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  libipc-run3-perl,
  libtest-output-perl,
 # for dev-bin/make-man-pages.pl
- pandoc,
+ pandoc [!loongarch64] <!nodoc>,
  libipc-system-simple-perl,
  libfile-slurp-perl,
  libfile-which-perl
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: https://maxmind.github.io/libmaxminddb/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libmaxminddb.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmaxminddb.git
+Vcs-Browser: https://salsa.debian.org/debian/libmaxminddb
+Vcs-Git: https://salsa.debian.org/debian/libmaxminddb.git
 
 Package: libmaxminddb0
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -14,15 +14,12 @@
 
 override_dh_auto_build:
 	# build manpages (needs pandoc); these are included in tarballs
-	dev-bin/make-man-pages.pl
+#	dev-bin/make-man-pages.pl
 	dh_auto_build
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf man/
 
-override_dh_strip:
-	dh_strip -O--dbgsym-migration='libmaxminddb-dbg (<< 1.1.5-1~)'
-
 override_dh_installchangelogs:
 	dh_installchangelogs Changes.md

## libmaxminddb 1.3.2.1

=== debian/changelog ===
libmaxminddb (1.3.2.1-1+deb10u1) unstable; urgency=medium

  * update

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 23 Feb 2021 15:01:46 +0800

libmaxminddb (1.3.2.1-1+deb10u1) buster; urgency=medium

  * Backport upstream fix for CVE-2020-28241, heap-based buffer over-read in
    dump_entry_data_list in maxminddb.c. (Closes: #973878)

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 10 Jan 2021 21:10:00 +0200

## libmaxminddb 1.4.2

=== debian/changelog ===
libmaxminddb (1.4.2-0ubuntu1) focal; urgency=medium

  * New upstream release: 1.4.2 (LP: #1867624)
  * manpages are no longer rebuilt:
    - d/p/0001-Remove-Pandoc-version-from-manpages.patch: removed, as the
      upstream tarball only ships generated manpages now and no script
      to rebuild them.
    - d/control: drop b-d on pandoc, as it was only needed to rebuild
      the manpages.
    - d/rules: drop clean and autobuild overrides
  * d/rules: add +now hardening
  * d/compat, d/control: use debhelper 12 (d/compat removed)
  * d/libmaxminddb0.install: add defined.3 manpage

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 16 Mar 2020 10:16:02 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: libmaxminddb
 Section: net
 Priority: optional
-Maintainer: Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Build-Depends: debhelper-compat (= 12),
  perl,
  libipc-run3-perl,
  libtest-output-perl,
-# for dev-bin/make-man-pages.pl
- pandoc [!loongarch64] <!nodoc>,
  libipc-system-simple-perl,
  libfile-slurp-perl,
  libfile-which-perl

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUG += --enable-debug
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--includedir="\$${prefix}/include/$(DEB_HOST_MULTIARCH)" \
		$(DEBUG)

override_dh_installchangelogs:
	dh_installchangelogs Changes.md

## libmaxminddb 1.5.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.9)
project(maxminddb
  LANGUAGES C
  VERSION 1.5.2
)
set(MAXMINDDB_SOVERSION 0.0.7)

option(BUILD_SHARED_LIBS "Build shared libraries (.dll/.so) instead of static ones (.lib/.a)" OFF)
option(BUILD_TESTING "Build test programs" ON)

include(CheckTypeSize)
check_type_size("unsigned __int128" UINT128)
check_type_size("unsigned int __attribute__((mode(TI)))" UINT128_USING_MODE)
if(HAVE_UINT128)
  set(MMDB_UINT128_USING_MODE 0)
  set(MMDB_UINT128_IS_BYTE_ARRAY 0)
elseif(HAVE_UINT128_USING_MODE)
  set(MMDB_UINT128_USING_MODE 1)
  set(MMDB_UINT128_IS_BYTE_ARRAY 0)
else()
  set(MMDB_UINT128_USING_MODE 0)
  set(MMDB_UINT128_IS_BYTE_ARRAY 1)
endif()

include (TestBigEndian)
TEST_BIG_ENDIAN(IS_BIG_ENDIAN)

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif()

configure_file(${PROJECT_SOURCE_DIR}/include/maxminddb_config.h.cmake.in 
               ${PROJECT_SOURCE_DIR}/include/maxminddb_config.h)

add_library(maxminddb
  src/maxminddb.c
  src/data-pool.c
)
add_library(maxminddb::maxminddb ALIAS maxminddb)

set_target_properties(maxminddb PROPERTIES VERSION ${MAXMINDDB_SOVERSION})

target_compile_definitions(maxminddb PUBLIC PACKAGE_VERSION="${PROJECT_VERSION}")

if(NOT IS_BIG_ENDIAN)
  target_compile_definitions(maxminddb PRIVATE MMDB_LITTLE_ENDIAN=1)
endif()

if(MSVC)
  target_compile_definitions(maxminddb PRIVATE _CRT_SECURE_NO_WARNINGS)
endif()

if(WIN32)
  target_link_libraries(maxminddb ws2_32)
endif()

set(CMAKE_SHARED_LIBRARY_PREFIX lib)
set(CMAKE_STATIC_LIBRARY_PREFIX lib)

set(MAXMINDB_INCLUDE_DIR
  .
  include
)

target_include_directories(maxminddb PUBLIC
  $<BUILD_INTERFACE:${MAXMINDB_INCLUDE_DIR}>
  $<INSTALL_INTERFACE:include>
)

set(MAXMINDB_HEADERS
  include/maxminddb.h
  include/maxminddb_config.h
)
set_target_properties(maxminddb PROPERTIES PUBLIC_HEADER "${MAXMINDB_HEADERS}")

install(TARGETS maxminddb
        EXPORT maxminddb
        ARCHIVE DESTINATION lib
        PUBLIC_HEADER DESTINATION include/
)

# This is required to work with FetchContent
install(EXPORT maxminddb
        FILE maxminddb-config.cmake
        NAMESPACE maxminddb::
        DESTINATION lib/cmake/maxminddb)

# We always want to build mmdblookup
add_subdirectory(bin)

if (BUILD_TESTING)
  enable_testing()
  add_subdirectory(t)
endif()

=== debian/changelog ===
libmaxminddb (1.5.2-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:13:20 +0100

libmaxminddb (1.5.2-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:16:36 +0200

libmaxminddb (1.5.2-1) unstable; urgency=medium

  * New upstream release.
    - Drop all five patches that were adding functionality around manpage
      generation; merged upstream.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 21 Feb 2021 17:14:33 +0200

libmaxminddb (1.5.0-3) unstable; urgency=medium

  * Use lowdown for the manpage generation by default, and keep pandoc only as
    a fallback for backports. The package should now build in the buildd
    network in all architectures. (Closes: #956041)

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 11 Feb 2021 00:40:34 +0200

libmaxminddb (1.5.0-2) unstable; urgency=medium

  * Manpage generation improvements:
    - Add support for the "nodoc" build option/profile.
    - Refresh patches 0001-Remove-Pandoc-version-from-manpages and
      0002-Limit-scope-of-generated-3-manpages-to-MMDB_ as these have now been
      forwarded and merged upstream.
    - Add three more manpage changes to facilitate building with alternative
      Markdown translators; see upstream PR #248 for more details.
    - Add lowdown as an alternative Markdown translator to be used instead of
      pandoc, to ease bootstrappability for new ports. (Closes: #956041)
  * Add support for the "nocheck" build option/profile.
  * Utilize debian/no-installed and debian/clean to remove a couple of
    debian/rules override targets.
  * Add autopkgtests: one to test mmdblookup and another to test the
    compilation of a simple C program utilizing libmaxminddb.
  * gbp: use "debian/sid" as debian branch name, and "main" as upstream name.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 04 Feb 2021 04:18:31 +0200

libmaxminddb (1.5.0-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * New upstream release.
  * Stop shipping the defined(3) manpage.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 07 Jan 2021 17:59:18 +0200

libmaxminddb (1.4.3-2) unstable; urgency=medium

  * d/control: Add Breaks+Replaces on libmaxminddb-dev.
    libmaxminddb-dev will Break+Replace libmaxminddb0 (<< 1.4.3-2),
    because of the move of libmaxminddb.3 to libmaxminddb-dev. (Closes: #977034)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 10 Dec 2020 11:55:16 -0500

libmaxminddb (1.4.3-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Move libmaxminddb.3 to libmaxminddb-dev.
    This is developer documentation, not runtime documentation. Thanks to
    Helmut Grohne for spotting this!
  * Annotate test only build-depends with <!nocheck>
    Thanks to Helmut Grohne for identifying this and for the patch.
    (Closes: #968633)

  [ Sergio Durigan Junior ]
  * New upstream release. (Closes: #973878)
  * d/control: Bump to debhelper-compat 13.  Remove d/compat.
  * d/control: Bump to Standards-Version 4.5.1.
  * d/libmaxminddb-dev.install: Add defined.3 manpage.
  * d/rules: Enable hardening when building the library.
  * d/rules: Override dh_auto_install and delete libmaxminddb.la.
  * d/watch: Bump version to 4.
  * d/control: Remove trailing whitespace.
  * d/copyright: Several fixes to address lintian warnings.
    Namely: (1) added the text for CC-BY-SA-3.0 license, adjusted
    reference to /usr/share/common-licenses/GPL-2 file, adjusted a few
    links (s/http/https/).
  * d/control: Add Rules-Requires-Root: no.
  * d/control: Add myself as an Uploader.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 07 Dec 2020 16:10:13 -0500

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,22 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper-compat (= 12),
- perl,
- libipc-run3-perl,
- libtest-output-perl,
- libipc-system-simple-perl,
- libfile-slurp-perl,
- libfile-which-perl
-Standards-Version: 4.1.4
+Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ perl <!nodoc !nocheck>,
+ libipc-run3-perl <!nocheck>,
+ libtest-output-perl <!nocheck>,
+# for dev-bin/make-man-pages.pl
+ lowdown <!nodoc> | pandoc <!nodoc>,
+ libipc-system-simple-perl <!nodoc>,
+ libfile-slurp-perl <!nodoc>,
+ libfile-which-perl <!nodoc>,
+Standards-Version: 4.5.1
 Homepage: https://maxmind.github.io/libmaxminddb/
 Vcs-Browser: https://salsa.debian.org/debian/libmaxminddb
 Vcs-Git: https://salsa.debian.org/debian/libmaxminddb.git
+Rules-Requires-Root: no
 
 Package: libmaxminddb0
 Section: libs
@@ -35,6 +40,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
+Breaks: libmaxminddb0 (<< 1.4.3-2)
+Replaces: libmaxminddb0 (<< 1.4.3-2)
 Depends: libmaxminddb0 (= ${binary:Version}), ${misc:Depends}
 Description: IP geolocation database library (development headers)
  The libmaxminddb library provides a C library for reading MaxMind DB files,
@@ -63,4 +70,4 @@
  Commons Attribution-ShareAlike 3.0 Unported License.
  .
  This package contains the command line utilities to resolve IPs using the
- libmaxminddb library. 
+ libmaxminddb library.

=== debian/watch ===
version=4

https://github.com/maxmind/libmaxminddb/releases/ download/.+/libmaxminddb-(\d\.\d+\.\d+).tar.gz

## libmaxminddb 1.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,20 @@
 cmake_minimum_required (VERSION 3.9)
+
 project(maxminddb
   LANGUAGES C
-  VERSION 1.5.2
+  VERSION 1.7.1
 )
 set(MAXMINDDB_SOVERSION 0.0.7)
+set(CMAKE_C_STANDARD 99)
+set(CMAKE_C_EXTENSIONS OFF)
 
+if (WIN32)
+  option(MSVC_STATIC_RUNTIME "When ON the library will be built by using MT/MTd run-time libraries" OFF)
+endif()
 option(BUILD_SHARED_LIBS "Build shared libraries (.dll/.so) instead of static ones (.lib/.a)" OFF)
 option(BUILD_TESTING "Build test programs" ON)
+
+include(GNUInstallDirs)
 
 include(CheckTypeSize)
 check_type_size("unsigned __int128" UINT128)
@@ -52,18 +60,25 @@
 
 if(WIN32)
   target_link_libraries(maxminddb ws2_32)
+  if(BUILD_SHARED_LIBS)
+    set_target_properties(maxminddb PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON)
+  endif()
+  if(MSVC_STATIC_RUNTIME)
+    # On MSVC, when MSVC_STATIC_RUNTIME is ON, MT (Release) and MTd (Debug)
+    # run-time libraries will be used instead of MD/MDd. The default is OFF so
+    # MD/MDd are used when nothing related is passed.
+    #
+    # Adapted from https://gitlab.kitware.com/cmake/community/-/wikis/FAQ#make-override-files
+    set(CMAKE_USER_MAKE_RULES_OVERRIDE
+        ${CMAKE_CURRENT_SOURCE_DIR}/c_flag_overrides.cmake)
+    set(CMAKE_USER_MAKE_RULES_OVERRIDE_CXX
+        ${CMAKE_CURRENT_SOURCE_DIR}/cxx_flag_overrides.cmake)
+  endif()
 endif()
 
-set(CMAKE_SHARED_LIBRARY_PREFIX lib)
-set(CMAKE_STATIC_LIBRARY_PREFIX lib)
-
-set(MAXMINDB_INCLUDE_DIR
-  .
-  include
-)
-
 target_include_directories(maxminddb PUBLIC
-  $<BUILD_INTERFACE:${MAXMINDB_INCLUDE_DIR}>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
   $<INSTALL_INTERFACE:include>
 )
 
@@ -74,16 +89,13 @@
 set_target_properties(maxminddb PROPERTIES PUBLIC_HEADER "${MAXMINDB_HEADERS}")
 
 install(TARGETS maxminddb
-        EXPORT maxminddb
-        ARCHIVE DESTINATION lib
-        PUBLIC_HEADER DESTINATION include/
-)
+	EXPORT maxminddb)
 
 # This is required to work with FetchContent
 install(EXPORT maxminddb
         FILE maxminddb-config.cmake
         NAMESPACE maxminddb::
-        DESTINATION lib/cmake/maxminddb)
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/maxminddb)
 
 # We always want to build mmdblookup
 add_subdirectory(bin)
@@ -93,3 +105,17 @@
   add_subdirectory(t)
 endif()
 
+# Generate libmaxminddb.pc file for pkg-config
+# Set the required variables as same with autotools
+set(prefix ${CMAKE_INSTALL_PREFIX})
+set(exec_prefix \${prefix})
+set(libdir \${exec_prefix}/lib)
+set(includedir \${prefix}/include)
+set(PACKAGE_VERSION ${maxminddb_VERSION})
+
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/libmaxminddb.pc.in
+  ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
+  @ONLY)
+
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== t/CMakeLists.txt ===
add_library(tap
  libtap/tap.c
)

# test programs
set(TEST_TARGET_NAMES
  bad_pointers_t
  basic_lookup_t
  data_entry_list_t
  data-pool-t
  data_types_t
  dump_t
  get_value_pointer_bug_t
  get_value_t
  ipv4_start_cache_t
  ipv6_lookup_in_ipv4_t
  metadata_pointers_t
  metadata_t
  no_map_get_value_t
  read_node_t
  version_t
)

if(UNIX)  # or if (NOT WIN32)
  list(APPEND TEST_TARGET_NAMES
    bad_databases_t
    threads_t
  )
  find_package(Threads)
endif()

foreach(TEST_TARGET_NAME ${TEST_TARGET_NAMES})
  add_executable(${TEST_TARGET_NAME} ${TEST_TARGET_NAME}.c maxminddb_test_helper.c)
  target_include_directories(${TEST_TARGET_NAME} PRIVATE ../src)
  target_link_libraries(${TEST_TARGET_NAME} maxminddb tap)

  if(UNIX)
    target_link_libraries(${TEST_TARGET_NAME} m)
  endif()

  if (UNIX)
    target_link_libraries(${TEST_TARGET_NAME} ${CMAKE_THREAD_LIBS_INIT})
  endif()

  add_test( NAME ${TEST_TARGET_NAME} COMMAND ${TEST_TARGET_NAME} WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/t)
endforeach()

=== debian/changelog ===
libmaxminddb (1.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch debian/watch to the GitHub API, as the old scraping method did not
    work anymore.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 07 Jan 2023 02:28:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libmaxminddb
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Maintainer: Faidon Liambotis <paravoid@debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -14,7 +13,7 @@
  libipc-system-simple-perl <!nodoc>,
  libfile-slurp-perl <!nodoc>,
  libfile-which-perl <!nodoc>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://maxmind.github.io/libmaxminddb/
 Vcs-Browser: https://salsa.debian.org/debian/libmaxminddb
 Vcs-Git: https://salsa.debian.org/debian/libmaxminddb.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_OPTS += --enable-debug
endif

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	CONFIGURE_OPTS += --disable-tests
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--includedir="\$${prefix}/include/$(DEB_HOST_MULTIARCH)" \
		$(CONFIGURE_OPTS)

override_dh_auto_build:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	# build manpages; these are included in tarballs but we regenerate them
	dev-bin/make-man-pages.pl
endif
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs Changes.md

## libmaxminddb 1.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(maxminddb
   LANGUAGES C
-  VERSION 1.7.1
+  VERSION 1.9.1
 )
 set(MAXMINDDB_SOVERSION 0.0.7)
 set(CMAKE_C_STANDARD 99)
@@ -37,8 +37,8 @@
   set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 endif()
 
-configure_file(${PROJECT_SOURCE_DIR}/include/maxminddb_config.h.cmake.in 
-               ${PROJECT_SOURCE_DIR}/include/maxminddb_config.h)
+configure_file(${PROJECT_SOURCE_DIR}/include/maxminddb_config.h.cmake.in
+          ${CMAKE_CURRENT_BINARY_DIR}/generated/maxminddb_config.h)
 
 add_library(maxminddb
   src/maxminddb.c
@@ -48,7 +48,7 @@
 
 set_target_properties(maxminddb PROPERTIES VERSION ${MAXMINDDB_SOVERSION})
 
-target_compile_definitions(maxminddb PUBLIC PACKAGE_VERSION="${PROJECT_VERSION}")
+target_compile_definitions(maxminddb PRIVATE PACKAGE_VERSION="${PROJECT_VERSION}")
 
 if(NOT IS_BIG_ENDIAN)
   target_compile_definitions(maxminddb PRIVATE MMDB_LITTLE_ENDIAN=1)
@@ -79,12 +79,14 @@
 target_include_directories(maxminddb PUBLIC
   $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
   $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/generated/>
   $<INSTALL_INTERFACE:include>
+  $<INSTALL_INTERFACE:generated>
 )
 
 set(MAXMINDB_HEADERS
   include/maxminddb.h
-  include/maxminddb_config.h
+  ${CMAKE_CURRENT_BINARY_DIR}/generated/maxminddb_config.h
 )
 set_target_properties(maxminddb PROPERTIES PUBLIC_HEADER "${MAXMINDB_HEADERS}")

=== debian/changelog ===
libmaxminddb (1.9.1-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:05:12 +0200

libmaxminddb (1.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 11 Jan 2024 17:29:44 +0200

libmaxminddb (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Switch URLs in the extended description to https.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 13 Nov 2023 06:59:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libmaxminddb
 Section: net
 Priority: optional
-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -13,7 +14,7 @@
  libipc-system-simple-perl <!nodoc>,
  libfile-slurp-perl <!nodoc>,
  libfile-which-perl <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://maxmind.github.io/libmaxminddb/
 Vcs-Browser: https://salsa.debian.org/debian/libmaxminddb
 Vcs-Git: https://salsa.debian.org/debian/libmaxminddb.git
@@ -32,7 +33,7 @@
  flexibility in the type of data associated with an address.
  .
  The MaxMind DB format is an open format. The spec is available at
- http://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
+ https://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
  Commons Attribution-ShareAlike 3.0 Unported License.
 
 Package: libmaxminddb-dev
@@ -49,7 +50,7 @@
  flexibility in the type of data associated with an address.
  .
  The MaxMind DB format is an open format. The spec is available at
- http://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
+ https://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
  Commons Attribution-ShareAlike 3.0 Unported License.
  .
  This package contains the development files for the libmaxminddb library.
@@ -65,7 +66,7 @@
  flexibility in the type of data associated with an address.
  .
  The MaxMind DB format is an open format. The spec is available at
- http://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
+ https://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
  Commons Attribution-ShareAlike 3.0 Unported License.
  .
  This package contains the command line utilities to resolve IPs using the

## libmaxminddb 1.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(maxminddb
   LANGUAGES C
-  VERSION 1.9.1
+  VERSION 1.10.0
 )
 set(MAXMINDDB_SOVERSION 0.0.7)
 set(CMAKE_C_STANDARD 99)
@@ -13,6 +13,8 @@
 endif()
 option(BUILD_SHARED_LIBS "Build shared libraries (.dll/.so) instead of static ones (.lib/.a)" OFF)
 option(BUILD_TESTING "Build test programs" ON)
+option(MAXMINDDB_BUILD_BINARIES "Build binaries" ON)
+option(MAXMINDDB_INSTALL "Generate the install target" ON)
 
 include(GNUInstallDirs)
 
@@ -90,17 +92,20 @@
 )
 set_target_properties(maxminddb PROPERTIES PUBLIC_HEADER "${MAXMINDB_HEADERS}")
 
-install(TARGETS maxminddb
-	EXPORT maxminddb)
+if (MAXMINDDB_INSTALL)
+  install(TARGETS maxminddb
+    EXPORT maxminddb)
 
-# This is required to work with FetchContent
-install(EXPORT maxminddb
-        FILE maxminddb-config.cmake
-        NAMESPACE maxminddb::
-        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/maxminddb)
+  # This is required to work with FetchContent
+  install(EXPORT maxminddb
+          FILE maxminddb-config.cmake
+          NAMESPACE maxminddb::
+          DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/maxminddb)
+endif()
 
-# We always want to build mmdblookup
-add_subdirectory(bin)
+if (MAXMINDDB_BUILD_BINARIES)
+  add_subdirectory(bin)
+endif()
 
 if (BUILD_TESTING)
   enable_testing()
@@ -110,14 +115,16 @@
 # Generate libmaxminddb.pc file for pkg-config
 # Set the required variables as same with autotools
 set(prefix ${CMAKE_INSTALL_PREFIX})
-set(exec_prefix \${prefix})
-set(libdir \${exec_prefix}/lib)
-set(includedir \${prefix}/include)
+set(exec_prefix ${CMAKE_INSTALL_PREFIX})
+set(libdir ${CMAKE_INSTALL_LIBDIR})
+set(includedir ${CMAKE_INSTALL_INCLUDEDIR})
 set(PACKAGE_VERSION ${maxminddb_VERSION})
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/libmaxminddb.pc.in
-  ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
-  @ONLY)
+if (MAXMINDDB_INSTALL)
+  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/libmaxminddb.pc.in
+    ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
+    @ONLY)
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
-  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+endif()

=== debian/changelog ===
libmaxminddb (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Add a couple of blhc exceptions, for (safe to ignore) test suite files.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 13 Aug 2024 16:17:29 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libmaxminddb
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Maintainer: Faidon Liambotis <paravoid@debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -14,7 +13,7 @@
  libipc-system-simple-perl <!nodoc>,
  libfile-slurp-perl <!nodoc>,
  libfile-which-perl <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://maxmind.github.io/libmaxminddb/
 Vcs-Browser: https://salsa.debian.org/debian/libmaxminddb
 Vcs-Git: https://salsa.debian.org/debian/libmaxminddb.git

## libmaxminddb 1.11.0

=== debian/changelog ===
libmaxminddb (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright:
    - MaxMind-DB test data are now dual-licensed under Apache-2.0 and Expat
      (MIT) instead of CC-BY-SA-3.0.
    - libtap is now licensed under the LGPL-3.0+ instead of GPL-2+.
    - Remove erroneous references to the BSD-4-clause license for
      maxminddb-compat-util.h.
  * Remove Breaks/Depends for << 1.4.3-2 (pre-bullseye).

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 29 Aug 2024 11:54:44 +0300

## libmaxminddb 1.12.2

=== debian/changelog ===
libmaxminddb (1.12.2-1build1) questing; urgency=medium

  * No-change rebuild for IEEE long double on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 22 Sep 2025 11:20:52 +0000

libmaxminddb (1.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove Build-Depends on libipc-system-simple-perl, removed upstream.
  * Remove Sergio Durigan Junior from Uploaders, no activity since 2020.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 16 Feb 2025 13:31:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: net
 Priority: optional
 Maintainer: Faidon Liambotis <paravoid@debian.org>
-Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  perl <!nodoc !nocheck>,
@@ -10,7 +9,6 @@
  libtest-output-perl <!nocheck>,
 # for dev-bin/make-man-pages.pl
  lowdown <!nodoc> | pandoc <!nodoc>,
- libipc-system-simple-perl <!nodoc>,
  libfile-slurp-perl <!nodoc>,
  libfile-which-perl <!nodoc>,
 Standards-Version: 4.7.0
@@ -39,8 +37,6 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Breaks: libmaxminddb0 (<< 1.4.3-2)
-Replaces: libmaxminddb0 (<< 1.4.3-2)
 Depends: libmaxminddb0 (= ${binary:Version}), ${misc:Depends}
 Description: IP geolocation database library (development headers)
  The libmaxminddb library provides a C library for reading MaxMind DB files,

=== debian/tests/control ===
# Test whether mmdblookup works
# explicitly depend only on the -bin package, not @, and nothing else
Tests: mmdblookup
Depends: mmdb-bin 

# Test whether the library works by compiling a simple program that opens a database
Tests: compile-open
Depends: build-essential, libmaxminddb-dev

=== debian/watch ===
version=4
opts=searchmode=plain \
https://api.github.com/repos/maxmind/@PACKAGE@/releases \
https://github.com/maxmind/@PACKAGE@/releases/download/v?[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
